Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Path Parameters

id
string
required

The ID of the webhook to test.

Example:

"hook_xxxxxxxxxxxxx"

Body

application/json

Parameters for TestWebhookV2

event
enum<string>
required

The event to test the webhook for.

Available options:
invoice.created,
invoice.marked_uncollectible,
invoice.paid,
invoice.past_due,
invoice.voided,
membership.activated,
membership.deactivated,
membership.trial_ending_soon,
entry.created,
entry.approved,
entry.denied,
entry.deleted,
export.completed,
export.failed,
setup_intent.requires_action,
setup_intent.succeeded,
setup_intent.canceled,
ledger_account.funds_available,
swap.completed,
deposit.succeeded,
transfer.created,
transfer.completed,
withdrawal.created,
withdrawal.updated,
card_transaction.created,
card_transaction.updated,
card_transaction.completed,
card_transaction.declined,
card_transaction.reversed,
card.created,
card.updated,
card.frozen,
card.canceled,
card_application.created,
card_application.updated,
card_application.approved,
card_application.denied,
course_lesson_interaction.completed,
payout_method.created,
verification.succeeded,
identity_profile.approved,
identity_profile.rejected,
identity_profile.needs_action,
identity_profile.updated,
payout_account.status_updated,
resolution_center_case.created,
resolution_center_case.updated,
resolution_center_case.decided,
product.created,
product.updated,
product.deleted,
product.published,
product.unpublished,
plan.created,
plan.updated,
plan.deleted,
shipment.created,
shipment.updated,
member.created,
chat.message.created,
chat.reaction.created,
payment.created,
payment.succeeded,
payment.failed,
payment.pending,
dispute.created,
dispute.updated,
refund.created,
refund.updated,
dispute_alert.created,
membership.cancel_at_period_end_changed

Response

A successful response

The response of a testing a webhook

body
object
required

The body of the webhook response

status
integer
required

The HTTP response code of this request

Example:

42

success
boolean
required

Whether or not the webhook test was successful